schemagen(1)

Name
schemagen - Java(TM) Architecture for XML Binding Schema Generator

Specification Version: 2.1
Implementation Version: 2.1.3

Launching schemagen

The schema generator can be launched using the appropriate schemagen shell script in the bin directory for your platform.

The current schema generator can process either Java source files or class files.

We also provide an Ant task to run the schema generator - see the instructions for using schemagen with Ant @
https://jaxb.dev.java.net/nonav/2.1.3/docs/schemagenTask.html.

% schemagen.sh Foo.java Bar.java ...
Note: Writing schema1.xsd

If your java sources/classes reference other classes, they must be accessable on your system CLASSPATH environment variable, or they need to be given to the tool by using the -classpath/-cp options. Otherwise you will see errors when generating your schema.

  Command Line Options

Usage: schemagen [-options ...] <java files>
Options:
    -d <path>             : specify where to place processor and javac generated class files
    -cp <path>            : specify where to find user specified files
    -classpath <path>     : specify where to find user specified files
    -encoding <encoding>  : specify encoding to be used for apt/javac invocation
    -episode <file>       : generate episode file for separate compilation
    -version              : display version information
    -help                 : display this usage message

Generated Resource Files

The current schema generator simply creates a schema file for each namespace referenced in your Java classes. There is no way to control the name of the generated schema files at this time. For that purpose, use the schema generator ant task @
https://jaxb.dev.java.net/nonav/2.1.3/docs/schemagenTask.html.

Name
See Also

    o   Running the schema generator (schemagen): [ command-line instructions @
        https://jaxb.dev.java.net/nonav/2.1.3/docs/schemagen.html, using the SchemaGen Ant task @
        https://jaxb.dev.java.net/nonav/2.1.3/docs/schemagenTask.html]

    o   Java Architecture for XML Binding (JAXB) @
        http://docs.oracle.com/javase/7/docs/technotes/guides/xml/jaxb/index.html